cabal-version: 3.0

name: ips
version: 2

flag tests
  manual: True
  default: True

executable ips2
  main-is: ips.lhs
  build-depends:
    base,
    bytestring,
    mtl,
    random,
    QuickCheck
  ghc-options: -O -Wall
  default-language: GHC2024
  default-extensions:
    CPP
    BlockArguments
    DerivingVia
    OverloadedStrings
    OverloadedLists
    StrictData
  if flag(tests)
    build-depends:
      QuickCheck
    cpp-options: -DTESTS
    ghc-options: -Wno-missing-signatures
